package com.dxhy.common.enums;

/**
 * @author kangzq 20190507 是否当前税款所属期
 */
public enum SfdqskssqEnum {
    /**
     * 否
     */
    F("0", 1),

    /**
     * 是
     */
    S("1", 2);

    private static final String[] SFDQSKSSQMC = {"否", "是"};

    private String sfdqskssqDm;
    private int index;

    SfdqskssqEnum(String sfdqskssqDm, int index) {
        this.sfdqskssqDm = sfdqskssqDm;
        this.index = index;
    }

    public String getSfdqskssqDm(int index) {
        for (SfdqskssqEnum en : SfdqskssqEnum.values()) {
            if (en.getIndex() == index) {
                return en.sfdqskssqDm;
            }
        }
        return null;
    }

    public String getSfdqskssqMc(int index) {
        int length = SFDQSKSSQMC.length;
        if (index <= length) {
            return SFDQSKSSQMC[index - 1];
        }
        return null;
    }

    public String getSfdqskssqDm() {
        return sfdqskssqDm;
    }

    public void setSfdqskssqDm(String sfdqskssqDm) {
        this.sfdqskssqDm = sfdqskssqDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

}
